@import '../../assets/custom-css/fonts.scss';
@import '../../assets/custom-css/input-box.scss';
@import '../../assets/custom-css/basic-color.scss';
@import '../../assets/custom-css/button.scss';
@import '../../assets/custom-css/table.scss';
@import '../../assets/custom-css/basic-shadows.scss';
:root {
  --Rauth-Black: 'Rauth-Black';
  --Rauth-Light: 'Rauth-Light';
}
.mb-2 {
  margin-bottom: 0.5rem;
}

.ml-3 {
  margin-left: 1rem;
}

.mt-2 {
  margin-top: 0.5rem;
}
.mt-0 {
  margin-top: 0 !important;
}

.w-100 {
  width: 100%;
}

.mb-4 {
  margin-bottom: 1rem;
}

.ft-700 {
  font-weight: 700;
}

.ft-500 {
  font-weight: 500;
}

.fm-roboto {
  font-family: var(--mat-card-title-text-font);
}
.fm-rauth{
  font-family: var(--Rauth-Black) !important;
}
.fm-rauth-light{
  font-family: var(--Rauth-Light) !important;
}

.text-upper {
  text-transform: uppercase;
}

.mdc-text-field--filled:not(.mdc-text-field--disabled) {
  background-color: transparent !important;
}

.mat-mdc-form-field.mat-focused .mat-mdc-form-field-focus-overlay {
  opacity: 0 !important;
}

.pointer {
  cursor: pointer;
}

.social-logins {
  border: 1px solid rgba(0, 0, 0, 0.54);
  min-height: 2.5rem;
  border-radius: 10px;
  padding: 0px 16px 0px 16px;

  img {
    max-height: 3vh;
  }
}

.social-logins-container {
  padding: 0px 16px 0px 16px;
}

.h-fit {
  height: fit-content;
}

.w-40r {
  width: 40rem;
}

.authentication{
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 32px;
  font-weight: 700;
}

.dots {
  display: inline-block;
  animation: dots 1s steps(5, end) infinite;
}

@keyframes dots {
  0%, 20% {
    color: rgba(0, 0, 0, 0);
    text-shadow: .25em 0 0 rgba(0, 0, 0, 0),
                 .5em 0 0 rgba(0, 0, 0, 0);
  }
  40% {
    color: black;
    text-shadow: .25em 0 0 rgba(0, 0, 0, 0),
                 .5em 0 0 rgba(0, 0, 0, 0);
  }
  60% {
    text-shadow: .25em 0 0 black,
                 .5em 0 0 rgba(0, 0, 0, 0);
  }
  80%, 100% {
    text-shadow: .25em 0 0 black,
                 .5em 0 0 black;
  }
}

@media (max-width: 425px) {
  .w-96 {
    width: 18rem !important;
  }
}

.mat-mdc-card-content:first-child {
  padding-top: 0px !important;
}
.mat-mdc-card{
  padding: 1rem;
  box-shadow: var(--shadow) !important;
  background-color: var(--color-white) !important;
  .mat-mdc-card-title{
    font-size: 24px;
    font-weight: 900;
    font-family: var(--Rauth-Black);
  }
}
.mat-expansion-panel{
  box-shadow: var(--shadow) !important;
  .mat-expansion-indicator{
    display: none;
  }
  .mat-expansion-panel-header{
    padding: 0.5rem 1rem !important;
    height: inherit !important;
  }
  .mat-expansion-panel-header:hover{
    background: none !important;
  }
}
.mat-icon{
  color: var(--primary-color);
}

.border-bottom{
  border-bottom: 1px solid var(--color-light-primary-grey);
}
.mat-mdc-card-header{
  padding: 0 !important;
}
.mat-mdc-text-field-wrapper{
  padding: 0 !important;
  .mdc-floating-label{
    transform: translateY(-106%) scale(0.75) !important;
    font-size: 16px !important;
    font-weight: 700 !important;
    font-family: var(--Rauth-Light) !important;
    color: var(--color-black) !important;
  }
  .mdc-line-ripple{
    display: none;
  }
  input , mat-select{
    height: 40px !important;
    border: 1px solid var(--color-light-primary-grey) !important;
    border-radius: 0.5rem !important;
    padding: 0 0.5rem !important;
    font-size: 0.875rem !important;
    font-weight: 600 !important;
    font-family: var(--Rauth-Light) !important;
    color: var(--color-black) !important;
  }
  .mat-mdc-select-trigger{
    height: 100%;
  }
  .mat-mdc-option.mdc-list-item{
    min-height: 40px !important;
  }
  .mat-mdc-select-arrow svg{
    color: var(--color-primary) !important;
  }
  .mat-mdc-form-field-icon-suffix{
    padding-top: 1rem;
  }
}
.mat-mdc-select-panel{
  background: var(--color-white) !important;
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),0px 4px 5px 0px rgba(0, 0, 0, 0.14),0px 1px 10px 0px rgba(0, 0, 0, 0.12) !important;
}
mat-option{
  .mdc-list-item__primary-text + mat-pseudo-checkbox {
    display: none !important;
    /* Styles for mat-pseudo-checkbox */
}
}
mat-checkbox{
  label{
    transform: translateY(0) translateX(-20%) scale(0.75) !important;
    font-size: 16px !important;
    font-weight: 700 !important;
    font-family: var(--Rauth-Light) !important;
    color: var(--color-black) !important;
  }
}
.mdc-checkbox__native-control:enabled:checked~.mdc-checkbox__background, .mdc-checkbox__native-control:enabled:indeterminate~.mdc-checkbox__background{
  border-color: var(--primary-color) !important;
  background-color: var(--primary-color) !important;
}

.mdc-text-field--filled.mdc-text-field--disabled{
  background-color: transparent !important;
}
.mat-mdc-form-field-subscript-wrapper{
  display: none !important;
}
.mat-mdc-notch-piece{
  border: 0 !important;
}
.mat-mdc-form-field-focus-overlay{
  background-color: transparent !important;
}

mat-chip{
  background: var(--color-sparkle) !important;
  border-radius: 4px !important;
  color: var(--mdc-elevated-card-container-color) !important;
  .mat-mdc-chip-action-label, .mdc-evolution-chip__checkmark{
    color: var(--mdc-elevated-card-container-color) !important;
    font-family: var(--Rauth-Light);
  font-weight: 500;
  font-size: 16px;
  }
}

.class-logo {
  max-width: 8rem !important;
  max-height: 8rem !important;
}

.f-32 {
  font-size: 32px;
}
.mat-toggle-group-button{
  width: 100%;
  display: flex;
  justify-content: center;
  cursor: pointer;
  mat-button-toggle{
    padding: 10px;
    border-radius: 10px;
  }
  mat-button-toggle:hover{
    background-color: var(--primary-color);
    color: white;
  }
}

::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

/* Track */

::-webkit-scrollbar-track {
  // background: #e8e8e8;
  background: transparent;
}

/* Handle */

::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.15);
  border-radius: 5px;
  min-height: 45px;
}

/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
  background: rgba(0, 0, 0, 0.3);
}

//toggle
.mdc-switch__track::after{
  background: var(--primary-color) !important;
}
.mat-form-field-appearance-fill .mat-mdc-select-arrow-wrapper{
  transform: none !important;
}
.mat-calendar-table-header tr{
  height: 0px !important;
}
.mat-calendar-table-header th{
  padding: 0px !important
}